package cn.com.poc.agent_application.convert;	

import cn.com.poc.agent_application.model.BizAgentApplicationGcConfigModel;
import cn.com.poc.agent_application.entity.BizAgentApplicationGcConfigEntity;


public class BizAgentApplicationGcConfigConvert {

    public static BizAgentApplicationGcConfigEntity modelToEntity(BizAgentApplicationGcConfigModel model){
        BizAgentApplicationGcConfigEntity entity = new BizAgentApplicationGcConfigEntity();
        entity.setId(model.getId());
        entity.setConfigCode(model.getConfigCode());
        entity.setConfigSystem(model.getConfigSystem());
        entity.setLargeModel(model.getLargeModel());
        entity.setTopP(model.getTopP());
        return entity;
    }

    public static BizAgentApplicationGcConfigModel entityToModel(BizAgentApplicationGcConfigEntity entity){
        BizAgentApplicationGcConfigModel model = new BizAgentApplicationGcConfigModel();
        model.setId(entity.getId());
        model.setConfigCode(entity.getConfigCode());
        model.setConfigSystem(entity.getConfigSystem());
        model.setLargeModel(entity.getLargeModel());
        model.setTopP(entity.getTopP());
        return model;
    }
}